## org.codehaus.groovy.grails.web.servlet.mvc
Class GrailsUrlHandlerMapping

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.handler.AbstractHandlerMapping
                  org.springframework.web.servlet.handler.AbstractUrlHandlerMapping
                      org.springframework.web.servlet.handler.SimpleUrlHandlerMapping
                          org.codehaus.groovy.grails.web.servlet.mvc.GrailsUrlHandlerMapping

All Implemented Interfaces:
  ApplicationContextAware, Ordered, ServletContextAware, HandlerMapping

    public class GrailsUrlHandlerMapping

extends SimpleUrlHandlerMapping

Class that handles URL mapping for Grails

Since:
  Dec 15, 2005
Author:
  Graeme Rocher

Field Summary
`static String` `APPLICATION_CONTEXT_ID`
`static String` `APPLICATION_CONTEXT_TARGET_SOURCE`

Fields inherited from class org.springframework.context.support.ApplicationObjectSupport
`logger`

Fields inherited from interface org.springframework.web.servlet.HandlerMapping
`PATH_WITHIN_HANDLER_MAPPING_ATTRIBUTE`

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`GrailsUrlHandlerMapping()`

Method Summary
`protected Object` `getHandlerInternal(HttpServletRequest request)`

Methods inherited from class org.springframework.web.servlet.handler.SimpleUrlHandlerMapping
`getUrlMap, initApplicationContext, registerHandlers, setMappings, setUrlMap`

Methods inherited from class org.springframework.web.servlet.handler.AbstractUrlHandlerMapping
`buildPathExposingHandler, exposePathWithinMapping, getHandlerMap, getPathMatcher, getRootHandler, lookupHandler, registerHandler, registerHandler, setAlwaysUseFullPath, setLazyInitHandlers, setPathMatcher, setRootHandler, setUrlDecode, setUrlPathHelper, validateHandler`

Methods inherited from class org.springframework.web.servlet.handler.AbstractHandlerMapping
`adaptInterceptor, extendInterceptors, getAdaptedInterceptors, getDefaultHandler, getHandler, getHandlerExecutionChain, getOrder, initInterceptors, setDefaultHandler, setInterceptors, setOrder`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLICATION_CONTEXT_ID

    public static final String APPLICATION_CONTEXT_ID

See Also:
  Constant Field Values

### APPLICATION_CONTEXT_TARGET_SOURCE

    public static final String APPLICATION_CONTEXT_TARGET_SOURCE

See Also:
  Constant Field Values

Constructor Detail

### GrailsUrlHandlerMapping

    public GrailsUrlHandlerMapping()

Method Detail

### getHandlerInternal

    protected Object getHandlerInternal(HttpServletRequest request)
                                 throws Exception

  Overrides:
    `getHandlerInternal` in class `AbstractUrlHandlerMapping`
  Throws:
    `Exception`

Copyright (c) 2005-2009 The Grails project